<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
G-Index
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="G-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-6.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-8.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-7.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-7.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>
<A NAME="_G_"><!-- --></A><H2>
<B>G</B></H2>
<DL>
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon"><B>GaloisField</B></A> - Class in <A HREF="../org/bitfountain/math/reedsolomon/package-summary.html">org.bitfountain.math.reedsolomon</A><DD>A GF(2ʷ) that supports w = 4, 8, or 16, does multiplication, division,
 and computes the Vandermonde Matrix for a given number of checksum words
 
 Sources:
 
  [1] Planck, James (1999).<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#GaloisField(int)"><B>GaloisField(int)</B></A> - 
Constructor for class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>Create a new field of dimension size 2ʷ.
<DT><A HREF="../org/bitfountain/math/Matrix.html#gauss()"><B>gauss()</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>Naive implementation of Gauss reduction.
<DT><A HREF="../org/bitfountain/math/Matrix.html#gaussBuster(int)"><B>gaussBuster(int)</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>Specialized gauss algorithm for matrices that are almost identity.
<DT><A HREF="../org/bitfountain/network/packets/FilePart.html#getBlockParts()"><B>getBlockParts()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets">FilePart</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/io/ChunkedFileReader.html#getBuffer()"><B>getBuffer()</B></A> - 
Method in class org.bitfountain.io.<A HREF="../org/bitfountain/io/ChunkedFileReader.html" title="class in org.bitfountain.io">ChunkedFileReader</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/ClientInfo.html#getBuffer()"><B>getBuffer()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server">ClientInfo</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html#getChecksumBlockSize()"><B>getChecksumBlockSize()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">RSAlgorithm</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/ClientApp.html#getClient()"><B>getClient()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client">ClientApp</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/LoginWindow.html#getClient()"><B>getClient()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/LoginWindow.html" title="class in org.bitfountain.gui.client">LoginWindow</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/MainWindow.html#getClientApp()"><B>getClientApp()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client">MainWindow</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/FileReceiveTask.html#getClients()"><B>getClients()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileReceiveTask.html" title="class in org.bitfountain.network.server">FileReceiveTask</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/Server.html#getClients()"><B>getClients()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/Server.html" title="class in org.bitfountain.network.server">Server</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/Matrix.html#getCols()"><B>getCols()</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/MimeTypes.html#getContentType(java.lang.String)"><B>getContentType(String)</B></A> - 
Static method in class org.bitfountain.gui.<A HREF="../org/bitfountain/gui/MimeTypes.html" title="class in org.bitfountain.gui">MimeTypes</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html#getDataBlockSize()"><B>getDataBlockSize()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">RSAlgorithm</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#getDestination()"><B>getDestination()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSNetDecoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#getDimension()"><B>getDimension()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/MainWindow.html#getEventHandler()"><B>getEventHandler()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client">MainWindow</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#getExponent()"><B>getExponent()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/catalog/CatalogItem.html#getFileHeader()"><B>getFileHeader()</B></A> - 
Method in class org.bitfountain.gui.client.catalog.<A HREF="../org/bitfountain/gui/client/catalog/CatalogItem.html" title="class in org.bitfountain.gui.client.catalog">CatalogItem</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/packets/CancelTransfer.html#getFileId()"><B>getFileId()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/CancelTransfer.html" title="class in org.bitfountain.network.packets">CancelTransfer</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/packets/FileHeader.html#getFileId()"><B>getFileId()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/packets/FileNotFound.html#getFileId()"><B>getFileId()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileNotFound.html" title="class in org.bitfountain.network.packets">FileNotFound</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/packets/FilePart.html#getFileId()"><B>getFileId()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets">FilePart</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/packets/FileRequest.html#getFileId()"><B>getFileId()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileRequest.html" title="class in org.bitfountain.network.packets">FileRequest</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/ItemList.html#getFileList()"><B>getFileList()</B></A> - 
Method in class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items">ItemList</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/ClientInfo.html#getFileList()"><B>getFileList()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server">ClientInfo</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/Item.html#getFileName()"><B>getFileName()</B></A> - 
Method in class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">Item</A>
<DD>Return the file name.
<DT><A HREF="../org/bitfountain/network/packets/FileHeader.html#getFileName()"><B>getFileName()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/packets/FileList.html#getFiles()"><B>getFiles()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileList.html" title="class in org.bitfountain.network.packets">FileList</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/Item.html#getFileSize()"><B>getFileSize()</B></A> - 
Method in class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">Item</A>
<DD>Return the file size.
<DT><A HREF="../org/bitfountain/network/packets/FileHeader.html#getFileSize()"><B>getFileSize()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/FileSendTask.html#getFirstFilePart()"><B>getFirstFilePart()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileSendTask.html" title="class in org.bitfountain.network.server">FileSendTask</A>
<DD>Give the first filePart of the file beeing sent, to retrieve some useful
 informations about it.
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#getHeader()"><B>getHeader()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSNetDecoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html#getHeader()"><B>getHeader()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.encoding.<A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding">RSNetEncoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/FileReceiveTask.html#getHeader()"><B>getHeader()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileReceiveTask.html" title="class in org.bitfountain.network.server">FileReceiveTask</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/ImageUtils.html#getIcon(java.lang.String)"><B>getIcon(String)</B></A> - 
Static method in class org.bitfountain.gui.<A HREF="../org/bitfountain/gui/ImageUtils.html" title="class in org.bitfountain.gui">ImageUtils</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/ClientInfo.html#getInputStream()"><B>getInputStream()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server">ClientInfo</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#getLastPort()"><B>getLastPort()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#getLastServer()"><B>getLastServer()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#getLastUploadDirectory()"><B>getLastUploadDirectory()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#getLastUsername()"><B>getLastUsername()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/ItemListRenderer.html#getListCellRendererComponent(javax.swing.JList, java.lang.Object, int, boolean, boolean)"><B>getListCellRendererComponent(JList, Object, int, boolean, boolean)</B></A> - 
Method in class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/ItemListRenderer.html" title="class in org.bitfountain.gui.client.items">ItemListRenderer</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/ClientApp.html#getMainWindow()"><B>getMainWindow()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client">ClientApp</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/ItemList.html#getMainWindow()"><B>getMainWindow()</B></A> - 
Method in class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items">ItemList</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#getName()"><B>getName()</B></A> - 
Method in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Returns the name of the client.
<DT><A HREF="../org/bitfountain/network/server/ClientInfo.html#getName()"><B>getName()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server">ClientInfo</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/ClientInfo.html#getOutputStream()"><B>getOutputStream()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server">ClientInfo</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/packets/FilePart.html#getPacketNumber()"><B>getPacketNumber()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets">FilePart</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/Item.html#getPanel()"><B>getPanel()</B></A> - 
Method in class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">Item</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/FileReceiveTask.html#getParts()"><B>getParts()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileReceiveTask.html" title="class in org.bitfountain.network.server">FileReceiveTask</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/ClientApp.html#getPrefs()"><B>getPrefs()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client">ClientApp</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#getProgress()"><B>getProgress()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSNetDecoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html#getProgress()"><B>getProgress()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.encoding.<A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding">RSNetEncoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/Progressive.html#getProgress()"><B>getProgress()</B></A> - 
Method in interface org.bitfountain.network.<A HREF="../org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/FileSendTask.html#getProgress()"><B>getProgress()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileSendTask.html" title="class in org.bitfountain.network.server">FileSendTask</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/download/DownloadItem.html#getProgressive()"><B>getProgressive()</B></A> - 
Method in class org.bitfountain.gui.client.download.<A HREF="../org/bitfountain/gui/client/download/DownloadItem.html" title="class in org.bitfountain.gui.client.download">DownloadItem</A>
<DD>An estimation of the progress of the file reception, from 0.0 to 1.0.
<DT><A HREF="../org/bitfountain/gui/client/transfer/TransferItem.html#getProgressive()"><B>getProgressive()</B></A> - 
Method in class org.bitfountain.gui.client.transfer.<A HREF="../org/bitfountain/gui/client/transfer/TransferItem.html" title="class in org.bitfountain.gui.client.transfer">TransferItem</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/upload/UploadItem.html#getProgressive()"><B>getProgressive()</B></A> - 
Method in class org.bitfountain.gui.client.upload.<A HREF="../org/bitfountain/gui/client/upload/UploadItem.html" title="class in org.bitfountain.gui.client.upload">UploadItem</A>
<DD>An estimation of the progress of the file emission, from 0.0 to 1.0.
<DT><A HREF="../org/bitfountain/math/Matrix.html#getRows()"><B>getRows()</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/ImageUtils.html#getScaledInstance(java.awt.image.BufferedImage, int, int, java.lang.Object, boolean)"><B>getScaledInstance(BufferedImage, int, int, Object, boolean)</B></A> - 
Static method in class org.bitfountain.gui.<A HREF="../org/bitfountain/gui/ImageUtils.html" title="class in org.bitfountain.gui">ImageUtils</A>
<DD>Convenience method that returns a scaled instance of the provided <code>BufferedImage</code>.
<DT><A HREF="../org/bitfountain/gui/client/catalog/CatalogList.html#getSelectedElement()"><B>getSelectedElement()</B></A> - 
Method in class org.bitfountain.gui.client.catalog.<A HREF="../org/bitfountain/gui/client/catalog/CatalogList.html" title="class in org.bitfountain.gui.client.catalog">CatalogList</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/download/DownloadList.html#getSelectedElement()"><B>getSelectedElement()</B></A> - 
Method in class org.bitfountain.gui.client.download.<A HREF="../org/bitfountain/gui/client/download/DownloadList.html" title="class in org.bitfountain.gui.client.download">DownloadList</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/ItemList.html#getSelectedElement()"><B>getSelectedElement()</B></A> - 
Method in class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items">ItemList</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/transfer/TransferList.html#getSelectedElement()"><B>getSelectedElement()</B></A> - 
Method in class org.bitfountain.gui.client.transfer.<A HREF="../org/bitfountain/gui/client/transfer/TransferList.html" title="class in org.bitfountain.gui.client.transfer">TransferList</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/upload/UploadList.html#getSelectedElement()"><B>getSelectedElement()</B></A> - 
Method in class org.bitfountain.gui.client.upload.<A HREF="../org/bitfountain/gui/client/upload/UploadList.html" title="class in org.bitfountain.gui.client.upload">UploadList</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/server/ServerApp.html#getServerComm()"><B>getServerComm()</B></A> - 
Method in class org.bitfountain.gui.server.<A HREF="../org/bitfountain/gui/server/ServerApp.html" title="class in org.bitfountain.gui.server">ServerApp</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#getSpeed()"><B>getSpeed()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSNetDecoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html#getSpeed()"><B>getSpeed()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.encoding.<A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding">RSNetEncoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/Progressive.html#getSpeed()"><B>getSpeed()</B></A> - 
Method in interface org.bitfountain.network.<A HREF="../org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/FileSendTask.html#getSpeed()"><B>getSpeed()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileSendTask.html" title="class in org.bitfountain.network.server">FileSendTask</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/ImageUtils.html#getTinyIcon(java.lang.String)"><B>getTinyIcon(String)</B></A> - 
Static method in class org.bitfountain.gui.<A HREF="../org/bitfountain/gui/ImageUtils.html" title="class in org.bitfountain.gui">ImageUtils</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html#getTotalBlockSize()"><B>getTotalBlockSize()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">RSAlgorithm</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#getVandermondeMatrix(int, int)"><B>getVandermondeMatrix(int, int)</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/EventHandler.html#gotFileList(org.bitfountain.network.packets.FileList)"><B>gotFileList(FileList)</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/EventHandler.html" title="class in org.bitfountain.gui.client">EventHandler</A>
<DD>Just received a file list from the server, refreshing.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-6.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-8.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-7.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-7.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>

</BODY>
</HTML>
